Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class Font.Typeface

    java.lang.Object
      nextapp.echo2.app.Font.Typeface

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Font

    public static class Font.Typeface

extends java.lang.Object
implements java.io.Serializable

An immutable representation of a type face. A typeface may specify an alternate `TypeFace` object in the event that the primary one is not available on a given client. In this way, a chain of alternates may be created for a very specific face, e.g.: "Verdana->Arial->Helvetica->Sans-Serif"

See Also:
  Serialized Form

Constructor Summary
`Font.Typeface(java.lang.String name)` Creates a new `Typeface`.
`Font.Typeface(java.lang.String name, Font.Typeface alternate)` Creates a new `Typeface`.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Font.Typeface` | `getAlternate()` Returns the alternate typeface.
`java.lang.String` | `getName()` Returns the name of the typeface.
`java.lang.String` | `toString()` Renders a debug representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Font.Typeface

    public Font.Typeface(java.lang.String name)

  Creates a new `Typeface`.

  Parameters:
    `name` - the typeface name

### Font.Typeface

    public Font.Typeface(java.lang.String name,
                         Font.Typeface alternate)

  Creates a new `Typeface`.

  Parameters:
    `name` - the typeface name
    `alternate` - the alternate typeface which should be used, in case the client does not support the specified typeface

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### getAlternate

    public Font.Typeface getAlternate()

  Returns the alternate typeface. This method should be queried recursively until it returns null in order to determine all alternate typefaces.

  Returns:
    the alternate `Typeface`

### getName

    public java.lang.String getName()

  Returns the name of the typeface.

  Returns:
    the name of the typeface, e.g., 'Helvetica'

### toString

    public java.lang.String toString()

  Renders a debug representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD